## org.eclipse.emf.mapping.presentation
Class ComposedSelection

    java.lang.Object
      org.eclipse.emf.mapping.presentation.ComposedSelection

All Implemented Interfaces:
  IComposedSelection, ISelection, IStructuredSelection

    public class ComposedSelection

extends java.lang.Object
implements IStructuredSelection, IComposedSelection

Field Summary
`protected ISelection` `primarySelection`
`protected ISelection[]` `selections`

Constructor Summary
`ComposedSelection(ISelection primarySelection, ISelection[] selections)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`IStructuredSelection` `getCombinedSelection()`
`java.util.Iterator<?>` `getElements()` Deprecated.
`java.lang.Object` `getFirstElement()`
`java.lang.Object` `getPrimaryItem()`
`ISelection` `getSelection()`
`ISelection[]` `getSelections()`
`boolean` `isEmpty()`
`java.util.Iterator<?>` `iterator()`
`int` `size()`
`java.lang.Object[]` `toArray()`
`java.util.List<?>` `toList()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### selections

    protected ISelection[] selections

### primarySelection

    protected ISelection primarySelection

Constructor Detail

### ComposedSelection

    public ComposedSelection(ISelection primarySelection,
                             ISelection[] selections)

Method Detail

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `ISelection`

### getElements

    @Deprecated
    public java.util.Iterator<?> getElements()

  Deprecated.

### iterator

    public java.util.Iterator<?> iterator()

  Specified by:
    `iterator` in interface `IStructuredSelection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `IStructuredSelection`

### toList

    public java.util.List<?> toList()

  Specified by:
    `toList` in interface `IStructuredSelection`

### getFirstElement

    public java.lang.Object getFirstElement()

  Specified by:
    `getFirstElement` in interface `IStructuredSelection`

### getPrimaryItem

    public java.lang.Object getPrimaryItem()

### size

    public int size()

  Specified by:
    `size` in interface `IStructuredSelection`

### getSelection

    public ISelection getSelection()

  Specified by:
    `getSelection` in interface `IComposedSelection`

### getSelections

    public ISelection[] getSelections()

  Specified by:
    `getSelections` in interface `IComposedSelection`

### getCombinedSelection

    public IStructuredSelection getCombinedSelection()

  Specified by:
    `getCombinedSelection` in interface `IComposedSelection`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.